<template>
    <div>
        {{ mensage }}
        <!-- <button @click="show">aca</button> -->
    </div>
</template>
  
<script setup lang="ts">
import { computed, onMounted } from "vue";
import { useRoute, useRouter } from "vue-router";
// import type LoadingClass from "../../src/components/Loading/LoadingClass";

const emit = defineEmits(['changeBreadCrumbRoutes']);
const route = useRoute();
const router = useRouter();

const mensage = computed(() => {
    return (route.params.id == "" || route.params.id === undefined)? "Bienvenido al sandbox de VUE3-components-library." : "Estas viendo el elemento con id " + route.params.id;
});

// const { loading, updateLoading } = inject<LoadingClass>('loading');

onMounted(() => {
    let routes = [
        { name: "inicio" },
        { name: "test", params: {id: route.params.id} },
    ];
    emit("changeBreadCrumbRoutes", routes);
});

// function show(){
//     updateLoading();
//     return false;
// }

</script>

<style></style>
  